
QGIS Application - Bug report #19269

QGIS 3 crashes when zooming or paning the map (but 2.18 is working.) 

2018-06-26 11:19 AM - Mattias Ponten

Status: Closed

Priority: Normal

Assignee:

Category: Actions

Affected QGIS version:3.2 Regression?: No

Operating System: Windows 10pro Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 27097

Description

User Feedback

Report Details

Crash ID: b0ee67212954603a0166eb376a13b280632183af

Stack Trace

QSqlDatabase::open :

sourceSelectProviders :

sourceSelectProviders :

QgsVectorLayerFeatureIterator::QgsVectorLayerFeatureIterator :

QgsVectorLayerFeatureSource::getFeatures :

QgsVectorLayerLabelProvider::registerFeature :

QgsMapRendererParallelJob::renderLayerStatic :

QgsArchive::zip :

QgsImageOperation::overlayColor :

QgsImageOperation::flipImage :

QtConcurrent::ThreadEngineBase::run :

QThreadPoolPrivate::reset :

QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.0-Bonn

QGIS code revision: commit:bc43194061

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-07-20 08:58 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you share the layer causing this crash?
#2 - 2018-08-21 08:41 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closing for lack of feedback.
